package com.tzld.longarticle.recommend.server.mapper.longArticle;

import com.tzld.longarticle.recommend.server.model.vo.ArticleVideoAuditListVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ArticleAuditMapper {

    int articleVideoAuditListCount(List<String> contentId, List<Integer> status,
                                   List<String> title, List<String> auditAccount);

    List<ArticleVideoAuditListVO> articleVideoAuditList(List<String> contentId, List<Integer> status,
                                                        List<String> title, List<String> auditAccount,
                                                        int offset, Integer pageSize);

    void updateCrawlerVideoIsIllegal(List<Integer> illegalVideoIds, Integer isIllegal);

    List<String> searchFilterValueByItemName(String itemName, String searchKeyword);
    
}
